### Function

# Gtk render_check

#### Declaration [src]

    void
    gtk_render_check (
      GtkStyleContext* context,
      cairo_t* cr,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Renders a checkmark (as in a `GtkCheckButton`).

The `GTK_STATE_FLAG_CHECKED` state determines whether the check is on or off, and `GTK_STATE_FLAG_INCONSISTENT` determines whether it should be marked as undefined.

Typical checkmark rendering:

.

#### Parameters

`context` | `GtkStyleContext`
| A `GtkStyleContext`.
| The data is owned by the caller of the function.
`cr` | `cairo_t*`
| A `cairo_t`.
| The data is owned by the caller of the function.
`x` | `double`
| X origin of the rectangle.
`y` | `double`
| Y origin of the rectangle.
`width` | `double`
| Rectangle width.
`height` | `double`
| Rectangle height.